ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/branches/development/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 957 by gezelter, Tue May 16 20:38:23 2006 UTC vs.
Revision 973 by gezelter, Thu May 25 14:54:41 2006 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os PROGNAME debug USE_SINGLE_PRECISION CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC FC FCFLAGS ac_ct_FC CPP EGREP LN_S SET_MAKE RANLIB ac_ct_RANLIB PERLINTERP PERL_SHEBANG INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AR PS FCFLAGS_F90 FCFLAGS_SRCEXT PREPDEFFLAG FCLIBS FC_FUNC FC_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES ZLIB_INC_DIR ZLIB_LIB_DIR ZLIB FFTW_INC_DIR FFTW_LIB_DIR FFTW_LIBS LIBOBJS POW_LIB CXXCPP __func__ MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI USE_CGAL CGAL_INC_DIR CGAL_LIB_DIR CGAL_RLIB_DIR CGAL_DEFINES CGAL_CXXFLAGS CGAL_LIBS DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 871 | Line 871 | Optional Features:
871    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
872    --enable-oopse-home=DIR      define oopse home dir PREFIX/oopse
873    --enable-debug          Compile OOPSE in debug mode
874 +  --enable-single         compile OOPSE in single precision
875 +  --enable-float          synonym for --enable-single
876    --enable-doxygen        enable documentation generation with doxygen (auto)
877    --enable-dot            use 'dot' to generate graphs in doxygen (auto)
878    --enable-html-docs      enable HTML generation with doxygen (yes)
# Line 881 | Line 883 | Optional Packages:
883    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
884    --with-perl-shebang     override what perl thinks is the way for the kernel
885                            to start it (seldom needed)
886 <  --with-zlib=DIR root directory path of zlib installation defaults to
887 <                    /usr/local or /usr if not found in /usr/local
886 <  --without-zlib to disable zlib usage completely
886 >  --with-zlib=DIR         root directory path of zlib installation (defaults
887 >                          to /usr/local or /usr if not found in /usr/local)
888    --with-fftw=DIR         root directory path of fftw installation (defaults
889                            to /usr/local or /usr if not found in /usr/local)
890    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
# Line 1431 | Line 1432 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1432  
1433  
1434  
1435 +
1436   # AC_F90_MODULE_NAMES
1437   # -------------------
1438   #
# Line 1622 | Line 1624 | fi
1624  
1625    msg="$msg, debug mode"
1626   fi
1627 +
1628 +
1629 + # Check whether --enable-single or --disable-single was given.
1630 + if test "${enable_single+set}" = set; then
1631 +  enableval="$enable_single"
1632 +  ok=$enableval
1633 + else
1634 +  ok=no
1635 + fi;
1636 + # Check whether --enable-float or --disable-float was given.
1637 + if test "${enable_float+set}" = set; then
1638 +  enableval="$enable_float"
1639 +  ok=$enableval
1640 + fi;
1641 + if test "$ok" = "yes"; then
1642  
1643 + cat >>confdefs.h <<\_ACEOF
1644 + #define SINGLE_PRECISION 1
1645 + _ACEOF
1646  
1647 +        USE_SINGLE_PRECISION=yes
1648 +
1649 + fi
1650 +
1651   # Checks for programs.
1652   ac_ext=cc
1653   ac_cpp='$CXXCPP $CPPFLAGS'
# Line 2785 | Line 2809 | fi
2809  
2810  
2811   # Provide some information about the compiler.
2812 < echo "$as_me:2788:" \
2812 > echo "$as_me:2812:" \
2813       "checking for Fortran compiler version" >&5
2814   ac_compiler=`set X $ac_compile; echo $2`
2815   { (eval echo "$as_me:$LINENO: \"$ac_compiler --version </dev/null >&5\"") >&5
# Line 4033 | Line 4057 | FCFLAGS="$FCFLAGS $ac_verb"
4057   # flags.
4058   ac_save_FFLAGS=$FCFLAGS
4059   FCFLAGS="$FCFLAGS $ac_verb"
4060 < (eval echo $as_me:4036: \"$ac_link\") >&5
4060 > (eval echo $as_me:4060: \"$ac_link\") >&5
4061   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4062   echo "$ac_fc_v_output" >&5
4063   FCFLAGS=$ac_save_FFLAGS
# Line 4111 | Line 4135 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4135   # flags.
4136   ac_save_FFLAGS=$FCFLAGS
4137   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4138 < (eval echo $as_me:4114: \"$ac_link\") >&5
4138 > (eval echo $as_me:4138: \"$ac_link\") >&5
4139   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4140   echo "$ac_fc_v_output" >&5
4141   FCFLAGS=$ac_save_FFLAGS
# Line 4847 | Line 4871 | FCFLAGS="$FCFLAGS $ac_verb"
4871   # flags.
4872   ac_save_FFLAGS=$FCFLAGS
4873   FCFLAGS="$FCFLAGS $ac_verb"
4874 < (eval echo $as_me:4850: \"$ac_link\") >&5
4874 > (eval echo $as_me:4874: \"$ac_link\") >&5
4875   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4876   echo "$ac_fc_v_output" >&5
4877   FCFLAGS=$ac_save_FFLAGS
# Line 4925 | Line 4949 | FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4949   # flags.
4950   ac_save_FFLAGS=$FCFLAGS
4951   FCFLAGS="$FCFLAGS $ac_cv_prog_fc_v"
4952 < (eval echo $as_me:4928: \"$ac_link\") >&5
4952 > (eval echo $as_me:4952: \"$ac_link\") >&5
4953   ac_fc_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
4954   echo "$ac_fc_v_output" >&5
4955   FCFLAGS=$ac_save_FFLAGS
# Line 5802 | Line 5826 | done
5826   #
5827   # Handle user hints
5828   #
5805 echo "$as_me:$LINENO: checking if zlib is wanted" >&5
5806 echo $ECHO_N "checking if zlib is wanted... $ECHO_C" >&6
5829  
5830   # Check whether --with-zlib or --without-zlib was given.
5831   if test "${with_zlib+set}" = set; then
5832    withval="$with_zlib"
5833 <  if test "$withval" != no ; then
5834 <  echo "$as_me:$LINENO: result: yes" >&5
5835 < echo "${ECHO_T}yes" >&6
5836 <  if test -d "$withval"
5837 <  then
5838 <    ZLIB_HOME="$withval"
5833 >  zlib_dir="$withval"
5834 > else
5835 >                zlib_dir="not_set"
5836 > fi;
5837 > if test "$zlib_dir" != "no"; then
5838 >
5839 > if test "$zlib_dir" != "not_set" ; then
5840 >  if test -d "$zlib_dir"
5841 >  then
5842 >    ZLIB_HOME="$zlib_dir"
5843    else
5844 <    { echo "$as_me:$LINENO: WARNING: Sorry, $withval does not exist, checking usual places" >&5
5845 < echo "$as_me: WARNING: Sorry, $withval does not exist, checking usual places" >&2;}
5844 >    { echo "$as_me:$LINENO: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&5
5845 > echo "$as_me: WARNING: Sorry, $zlib_dir does not exist, checking usual places" >&2;}
5846    fi
5821 else
5822  echo "$as_me:$LINENO: result: no" >&5
5823 echo "${ECHO_T}no" >&6
5847   fi
5825 fi;
5848  
5849   ZLIB_HOME=/usr/local
5850   if test ! -f "${ZLIB_HOME}/include/zlib.h"
# Line 6075 | Line 6097 | ac_compiler_gnu=$ac_cv_c_compiler_gnu
6097   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
6098   ac_compiler_gnu=$ac_cv_c_compiler_gnu
6099  
6100 <        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"
6101 <        then
6080 <                #
6081 <                # If both library and header were found, use them
6082 <                #
6100 >
6101 >        if test "$zlib_cv_libz" = "yes" -a "$zlib_cv_zlib_h" = "yes"; then
6102  
6103 < echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
6104 < echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6
6086 < if test "${ac_cv_lib_z_inflateEnd+set}" = set; then
6087 <  echo $ECHO_N "(cached) $ECHO_C" >&6
6088 < else
6089 <  ac_check_lib_save_LIBS=$LIBS
6090 < LIBS="-lz  $LIBS"
6091 < cat >conftest.$ac_ext <<_ACEOF
6092 < /* confdefs.h.  */
6103 > cat >>confdefs.h <<\_ACEOF
6104 > #define HAVE_ZLIB_H 1
6105   _ACEOF
6094 cat confdefs.h >>conftest.$ac_ext
6095 cat >>conftest.$ac_ext <<_ACEOF
6096 /* end confdefs.h.  */
6097
6098 /* Override any gcc2 internal prototype to avoid an error.  */
6099 #ifdef __cplusplus
6100 extern "C"
6101 #endif
6102 /* We use char because int might match the return type of a gcc2
6103   builtin and then its argument prototype would still apply.  */
6104 char inflateEnd ();
6105 #ifdef FC_DUMMY_MAIN
6106 #ifndef FC_DUMMY_MAIN_EQ_F77
6107 #  ifdef __cplusplus
6108     extern "C"
6109 #  endif
6110   int FC_DUMMY_MAIN() { return 1; }
6111 #endif
6112 #endif
6113 int
6114 main ()
6115 {
6116 inflateEnd ();
6117  ;
6118  return 0;
6119 }
6120 _ACEOF
6121 rm -f conftest.$ac_objext conftest$ac_exeext
6122 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
6123  (eval $ac_link) 2>conftest.er1
6124  ac_status=$?
6125  grep -v '^ *+' conftest.er1 >conftest.err
6126  rm -f conftest.er1
6127  cat conftest.err >&5
6128  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6129  (exit $ac_status); } &&
6130         { ac_try='test -z "$ac_c_werror_flag"
6131                         || test ! -s conftest.err'
6132  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6133  (eval $ac_try) 2>&5
6134  ac_status=$?
6135  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6136  (exit $ac_status); }; } &&
6137         { ac_try='test -s conftest$ac_exeext'
6138  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6139  (eval $ac_try) 2>&5
6140  ac_status=$?
6141  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6142  (exit $ac_status); }; }; then
6143  ac_cv_lib_z_inflateEnd=yes
6144 else
6145  echo "$as_me: failed program was:" >&5
6146 sed 's/^/| /' conftest.$ac_ext >&5
6106  
6107 < ac_cv_lib_z_inflateEnd=no
6108 < fi
6150 < rm -f conftest.err conftest.$ac_objext \
6151 <      conftest$ac_exeext conftest.$ac_ext
6152 < LIBS=$ac_check_lib_save_LIBS
6153 < fi
6154 < echo "$as_me:$LINENO: result: $ac_cv_lib_z_inflateEnd" >&5
6155 < echo "${ECHO_T}$ac_cv_lib_z_inflateEnd" >&6
6156 < if test $ac_cv_lib_z_inflateEnd = yes; then
6157 <  cat >>confdefs.h <<_ACEOF
6107 >
6108 > cat >>confdefs.h <<\_ACEOF
6109   #define HAVE_LIBZ 1
6110   _ACEOF
6111  
6112 <  LIBS="-lz $LIBS"
6113 <
6114 < fi
6164 <
6165 <                echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6166 < echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6167 <                echo "$as_me:$LINENO: result: ok" >&5
6168 < echo "${ECHO_T}ok" >&6
6112 >                ZLIB_INC_DIR="${ZLIB_HOME}/include"
6113 >                ZLIB_LIB_DIR="${ZLIB_HOME}/lib"
6114 >                ZLIB="-lz"
6115          else
6170                #
6171                # If either header or library was not found, revert and bomb
6172                #
6116                  echo "$as_me:$LINENO: checking zlib in ${ZLIB_HOME}" >&5
6117   echo $ECHO_N "checking zlib in ${ZLIB_HOME}... $ECHO_C" >&6
6118 +                ZLIB_INC_DIR=
6119 +                ZLIB_LIB_DIR=
6120 +                ZLIB=
6121                  LDFLAGS="$ZLIB_OLD_LDFLAGS"
6122                  CPPFLAGS="$ZLIB_OLD_CPPFLAGS"
6123                  echo "$as_me:$LINENO: result: failed" >&5
6124   echo "${ECHO_T}failed" >&6
6125 <                { { echo "$as_me:$LINENO: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&5
6126 < echo "$as_me: error: either specify a valid zlib installation with --with-zlib=DIR or disable zlib usage with --without-zlib" >&2;}
6127 <   { (exit 1); exit 1; }; }
6125 >                echo ""
6126 >                echo "*********************************************************"
6127 >                echo "* WARNING: Could not find a working zlib installation   *"
6128 >                echo "* If you need OOPSE to be able to deal with compressed  *"
6129 >                echo "* trajectory dump files be sure to specify a valid zlib *"
6130 >                echo "* installation with --with-zlib=DIR                     *"
6131 >                echo "*                                                       *"
6132 >                echo "* OOPSE will still work without zlib installed.         *"
6133 >                echo "*********************************************************"
6134 >                echo ""
6135          fi
6136 < fi
6136 >
6137 >
6138  
6139 + fi
6140 + fi
6141  
6142   #
6143   # Handle user hints
# Line 13071 | Line 13027 | echo $ECHO_N "checking whether mpif.h is usable... $EC
13027  
13028   echo "$as_me:$LINENO: checking whether mpif.h is usable" >&5
13029   echo $ECHO_N "checking whether mpif.h is usable... $ECHO_C" >&6
13030 +
13031 +
13032 + ac_ext=${FC_SRCEXT-f}
13033 + ac_compile='$FC -c $FCFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext >&5'
13034 + ac_link='$FC -o conftest$ac_exeext $FCFLAGS $LDFLAGS $FCFLAGS_SRCEXT conftest.$ac_ext $LIBS >&5'
13035 + ac_compiler_gnu=$ac_cv_fc_compiler_gnu
13036 +
13037 + ac_save_ext=$ac_ext
13038 + ac_ext=F90
13039 + ac_save_FCFLAGS=$FCFLAGS
13040   have_mpif_h=0
13041   rm -f conftest*
13042   cat >conftest.$ac_ext <<EOF
# Line 13100 | Line 13066 | fi
13066   _ACEOF
13067  
13068   fi
13069 + FCFLAGS=$ac_save_FCFLAGS
13070 + ac_ext=$ac_save_ext
13071 + ac_ext=cc
13072 + ac_cpp='$CXXCPP $CPPFLAGS'
13073 + ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
13074 + ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
13075 + ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
13076  
13077 +
13078   ac_ext=c
13079   ac_cpp='$CPP $CPPFLAGS'
13080   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
# Line 13108 | Line 13082 | ac_save_LDFLAGS=$LDFLAGS
13082   ac_compiler_gnu=$ac_cv_c_compiler_gnu
13083  
13084   ac_save_LDFLAGS=$LDFLAGS
13085 < LDFLAGS="${LDFLAGS} -L${MPI_LIB_DIR} "
13085 > LDFLAGS="-L${MPI_LIB_DIR} ${LDFLAGS} "
13086  
13087   if test x = x"$MPI_LIB"; then
13088          echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
# Line 13188 | Line 13162 | fi
13162   fi
13163  
13164   fi
13165 + $as_unset ac_cv_lib_mpich_MPI_Init
13166   if test x = x"$MPI_LIB"; then
13167 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13168 < echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
13169 < if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
13167 >        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
13168 > echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
13169 > if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
13170    echo $ECHO_N "(cached) $ECHO_C" >&6
13171   else
13172    ac_check_lib_save_LIBS=$LIBS
13173 < LIBS="-lmpi  $LIBS"
13173 > LIBS="-lmpich "-lpmpich" $LIBS"
13174   cat >conftest.$ac_ext <<_ACEOF
13175   /* confdefs.h.  */
13176   _ACEOF
# Line 13248 | Line 13223 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13223    ac_status=$?
13224    echo "$as_me:$LINENO: \$? = $ac_status" >&5
13225    (exit $ac_status); }; }; then
13226 <  ac_cv_lib_mpi_MPI_Init=yes
13226 >  ac_cv_lib_mpich_MPI_Init=yes
13227   else
13228    echo "$as_me: failed program was:" >&5
13229   sed 's/^/| /' conftest.$ac_ext >&5
13230  
13231 < ac_cv_lib_mpi_MPI_Init=no
13231 > ac_cv_lib_mpich_MPI_Init=no
13232   fi
13233   rm -f conftest.err conftest.$ac_objext \
13234        conftest$ac_exeext conftest.$ac_ext
13235   LIBS=$ac_check_lib_save_LIBS
13236   fi
13237 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13238 < echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13239 < if test $ac_cv_lib_mpi_MPI_Init = yes; then
13240 <  MPI_LIB="-lmpi"
13237 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
13238 > echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
13239 > if test $ac_cv_lib_mpich_MPI_Init = yes; then
13240 >  MPI_LIB="-lpmpich -lmpich"
13241   fi
13242  
13243   fi
13269 $as_unset ac_cv_lib_mpi_MPI_Init
13244   if test x = x"$MPI_LIB"; then
13245          echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13246   echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
# Line 13274 | Line 13248 | else
13248    echo $ECHO_N "(cached) $ECHO_C" >&6
13249   else
13250    ac_check_lib_save_LIBS=$LIBS
13251 < LIBS="-lmpi "-llam" $LIBS"
13251 > LIBS="-lmpi  $LIBS"
13252   cat >conftest.$ac_ext <<_ACEOF
13253   /* confdefs.h.  */
13254   _ACEOF
# Line 13341 | Line 13315 | if test $ac_cv_lib_mpi_MPI_Init = yes; then
13315   echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13316   echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13317   if test $ac_cv_lib_mpi_MPI_Init = yes; then
13318 <  MPI_LIB="-lmpi -llam"
13318 >  MPI_LIB="-lmpi"
13319   fi
13320  
13321   fi
13322 < $as_unset ac_cv_lib_mpich_MPI_Init
13322 > $as_unset ac_cv_lib_mpi_MPI_Init
13323   if test x = x"$MPI_LIB"; then
13324 <        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
13325 < echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
13326 < if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
13324 >        echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
13325 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
13326 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
13327    echo $ECHO_N "(cached) $ECHO_C" >&6
13328   else
13329    ac_check_lib_save_LIBS=$LIBS
13330 < LIBS="-lmpich "-lpmpich" $LIBS"
13330 > LIBS="-lmpi "-llam" $LIBS"
13331   cat >conftest.$ac_ext <<_ACEOF
13332   /* confdefs.h.  */
13333   _ACEOF
# Line 13406 | Line 13380 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
13380    ac_status=$?
13381    echo "$as_me:$LINENO: \$? = $ac_status" >&5
13382    (exit $ac_status); }; }; then
13383 <  ac_cv_lib_mpich_MPI_Init=yes
13383 >  ac_cv_lib_mpi_MPI_Init=yes
13384   else
13385    echo "$as_me: failed program was:" >&5
13386   sed 's/^/| /' conftest.$ac_ext >&5
13387  
13388 < ac_cv_lib_mpich_MPI_Init=no
13388 > ac_cv_lib_mpi_MPI_Init=no
13389   fi
13390   rm -f conftest.err conftest.$ac_objext \
13391        conftest$ac_exeext conftest.$ac_ext
13392   LIBS=$ac_check_lib_save_LIBS
13393   fi
13394 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
13395 < echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
13396 < if test $ac_cv_lib_mpich_MPI_Init = yes; then
13397 <  MPI_LIB="-lpmpich -lmpich"
13394 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
13395 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
13396 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
13397 >  MPI_LIB="-lmpi -llam"
13398   fi
13399  
13400   fi
13427
13401   $as_unset ac_cv_lib_mpi_MPI_Init
13402   if test x = x"$MPI_LIB"; then
13403   echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
# Line 14771 | Line 14744 | s,@debug@,$debug,;t t
14744   s,@host_os@,$host_os,;t t
14745   s,@PROGNAME@,$PROGNAME,;t t
14746   s,@debug@,$debug,;t t
14747 + s,@USE_SINGLE_PRECISION@,$USE_SINGLE_PRECISION,;t t
14748   s,@CXX@,$CXX,;t t
14749   s,@CXXFLAGS@,$CXXFLAGS,;t t
14750   s,@LDFLAGS@,$LDFLAGS,;t t
# Line 14808 | Line 14782 | s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14782   s,@MODDIRFLAG@,$MODDIRFLAG,;t t
14783   s,@F90MODINCSPEC@,$F90MODINCSPEC,;t t
14784   s,@F90_MODULE_NAMES@,$F90_MODULE_NAMES,;t t
14785 + s,@ZLIB_INC_DIR@,$ZLIB_INC_DIR,;t t
14786 + s,@ZLIB_LIB_DIR@,$ZLIB_LIB_DIR,;t t
14787 + s,@ZLIB@,$ZLIB,;t t
14788   s,@FFTW_INC_DIR@,$FFTW_INC_DIR,;t t
14789   s,@FFTW_LIB_DIR@,$FFTW_LIB_DIR,;t t
14790   s,@FFTW_LIBS@,$FFTW_LIBS,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines